/* 
 * File:   watchmail.h
 * Author: mechinn
 *
 * Created on April 5, 2011, 10:35 PM
 */

#ifndef WATCHMAIL_H
#define	WATCHMAIL_H

#ifdef	__cplusplus
extern "C" {
#endif

    void *tstart(void *arg);

    int watchmail(int argc,char **argv, char** envp);

    void addMail(char* path);

    pthread_t findMail(char* path);

    void freeMail();

    struct mailList {
        char *path;
        pthread_t tid;
        pthread_attr_t attr;
        struct mailList *next;		/* pointer to next node */
    }*mailHead;

#ifdef	__cplusplus
}
#endif

#endif	/* WATCHMAIL_H */

